#include "Dimensions.h"
#include "Client.h"

auto Hooks::Dimensions::callback(Dimension* _this, void* a2, void* a3) -> float {
	float before = gettimeofday(_this, a2, a3);
	for (Mod* mod : Client::modlist) {
		if (!mod->enabled && mod->onlyenabled) continue;

		mod->onGetTime(&before);
	}

	return before;
}
